Get wishlist
1 min
GET
https://api.upstartcommerce.com/wishlist/{wishListId}
Path Parameters
- wishListIdstringrequiredDescription
Header Parameters
- x-upstart-tenantstringrequiredDescription
- x-upstart-sitestringrequiredDescription
- consumerIdstringrequiredDescription
Responses
200
- WishListResponseDescription
- idWishListId
- namestringrequired
- shareablebooleanrequiredDefaultfalse
- itemsWishListItem[]requiredDescription
- skuIdstringrequiredDescription
- itemIdstringrequiredDescription
- namestringrequired
- imageUristring
- inStockboolean
- quantitynumberDefault1
- notesstringMax Length300
- linkstring
- lastModifiedstring<date-time>ExampleDescriptionFormatdate-time
Response Headers
- ETag
400
- ValidationErrorResponse[]Description
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
- metadatamap<string, string>
401
- ErrorResponse
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
403
- ErrorResponse
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
404
- ErrorResponse
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
405
- ErrorResponse
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
412
- ErrorResponse
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
415
- ErrorResponse
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
422
- ErrorResponse
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
500
- ErrorResponse
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
curl
curl --request GET \
--url https://api.upstartcommerce.com/wishlist/{wishListId} \
--header 'accept: application/json' \
--header 'x-upstart-tenant: string' \
--header 'x-upstart-site: string' \
--header 'consumerid: string'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
myHeaders.append("x-upstart-tenant", "string");
myHeaders.append("x-upstart-site", "string");
myHeaders.append("consumerid", "string");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.upstartcommerce.com/wishlist/{wishListId}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.upstartcommerce.com/wishlist/{wishListId}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request["x-upstart-tenant"] = "string"
request["x-upstart-site"] = "string"
request["consumerid"] = "string"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.upstartcommerce.com/wishlist/{wishListId}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json',
'x-upstart-tenant': 'string',
'x-upstart-site': 'string',
'consumerid': 'string'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// OK
{
"id": "",
"name": "",
"shareable": false,
"items": [
{
"skuId": "",
"itemId": "",
"name": "",
"imageUri": "",
"inStock": false,
"quantity": 0,
"notes": ""
}
],
"link": "",
"lastModified": "2017-07-21T17:32:28Z"
}400
// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
[
{
"name": "",
"code": "",
"detail": "",
"reason": "",
"metadata": ""
}
]401
// The provided credentials were not valid for this endpoint.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}403
// User's roles are insufficient for this endpoint.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}404
// The requested resource was not found in the NoChannel system.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}405
// This is to indicate that the server has received a request with an HTTP method that is not supported for the requested resource.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}412
// This is to indicate that the precondition of etag or if-modified-since has failed.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}415
// This is to indicate that the server cannot process the request because the media type of the request entity is not supported or not recognized by the server.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}422
// This is to indicate that the server understands the content type of the request entity, and the syntax of the request entity is correct, but it was unable to process the contained instructions.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}500
// There was an internal server error.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}